MPI(4)

NAME
mpi - LSI Logic Fusion-MPT Message Passing Interface

SYNOPSIS
mpi* at pci?
scsibus* at mpi?

DESCRIPTION
The mpi driver provides support for storage controllers using the LSI Logic Fusion-MPT Message Passing Interface family of chipsets:

-   LSI Logic LSI53C1020, LSI53C1020A, LSI53C1030, LSI53C1030T, LSI53C1035, LSIFC909, LSIFC919, LSIFC919X, LSIFC929, LSIFC929X, LSIFC949, LSIFC949E, LSIFC949X, LSISAS1064, LSISAS1064E, LSISAS1068, LSISAS1068E

These chipsets can be found on the following controllers:

-   Apple Fibre Channel PCI Express Card, Fibre Channel PCI-X Card
-   Dell PERC 4/im, SAS 5/E, SAS 5/i, SAS 5/iR, SAS 6/iR
-   Hewlett-Packard 8 Internal Port SAS Host Bus Adapter with RAID, A7173A, AB290A, EH417AA
-   LSI Logic LSI20320-R, LSI21320-IS, LSI21320-R, LSI22320-R, LSI40919H, LSI40919LH, LSI40919LO, LSI40919O, LSI40929H, LSI40929LH, LSI40929LO, LSI40929O, LSI7102XP, LSI7102XP-LC, LSI7104EP-LC, LSI7104XP-LC, LSI7202CP-LC, LSI7202EP-LC, LSI7202XP, LSI7202XP-LC, LSI7204EP-LC, LSI7204XP-LC, LSI7402XP, LSI7402XP-LC, LSI7404EP-LC, LSI7404XP-LC, LSISAS3041E-R, LSISAS3041X-R, LSISAS3080X-R, LSISAS3442E-R, LSISAS3442X, LSISAS3442X-R, LSISAS3800X, LSISAS3801E, LSISAS3801X, LSISAS8208ELP, LSISAS8208XLP, LSIU320

The LSI Logic LSI53C1030 is emulated in the following products:

-   VMware ESX Server 2.0 and higher, GSX Server 3.0 and higher, Player, Server, Workstation 4.5 and higher

Some models of these controllers have varying degrees of support for RAID 0 and RAID 1.

SEE ALSO
bio(4), intro(4), pci(4), scsi(4), bioctl(8), sensorsd(8), sysctl(8)

HISTORY
The mpi driver first appeared in OpenBSD 4.0.

AUTHORS
-nosplit The mpi driver was written by David Gwynne <dlg@openbsd.org> and Marco Peereboom <marco@openbsd.org>.